-- This will be the file with the functions that update production values, populating, disasters, takeovers,
--
--
--
--
--
--
--
--
--
--
--
clock = {}
clock.time = 0
clock.seconds = 0
clock.minutes = 0
clock.hours = 0
clock.days = 0
clock.gameday = 1
clock.gamemonth = 1


function clock:update(dt)
	self.time = self.time + dt
	if self.time  >= 1 then
		self.time = 0
		self.seconds = self.seconds + 1
	end
	if self.seconds >= 60 then
		self.seconds = 0
		self.minutes = self.minutes + 1
		self.gameday = self.gameday + 1
		self:dailyUpdate()
		
	end
	if self.minutes >= 60 then
		self.minutes = 0
		self.hours = self.hours + 1
		self.gamemonth = self.gamemonth + 1
		self.monthlyUpdate()
	end	
	if self.hours >= 24 then
		self.hours = 0
		self.days = self.days + 1
	end
end


function clock:date()
	local date = {self.seconds, self.minutes, self.hours, self.days, self.gameday, self.gamemonth}
	return date
end


function clock:dailyUpdate() --update Goods, Population
	self:Population()
end



function clock:monthlyUpdate() --System takeovers, Disasters, 

end





function clock:Population()
	for i,s in ipairs(system.list) do
		for i,p in pairs(s.planets) do
			if p.body ~= "Sun" then
				if p.population <= 10000 then
				local r = math.random(1,2)
					if r == 1 then
						p.population = p.population + math.random(1,5)
					else
						p.population = p.population - math.random(1,10)
					end
				else
				local r = math.random(1,2)
					if r == 1 then
						p.population = p.population + math.random(1,10)
					else
						p.population = p.population - math.random(1,20)
					end
				end
			end
		end
	end
end





















































































































