interact = {}
interact.sys = {}
interact.planets = {}
interact.planet = {}
interact.stations = {}
interact.station = {}


interact.launch = false

local mx, my --mouse hover
local px, py --player x and y


function interact:set(cur, x1, y1)
	self.stations = cur.stations
	self.planets = cur.planets
	px, py = x1, y1
	if self.stations ~= nil or self.planets ~= nil then
		if self.stations ~= nil then
			for i,v in pairs(self.stations) do
				if px == v.x *32 and py == v.y * 32 then
					self.station = v
					self.launch = true
				end
			end
		end
		if self.planets ~= nil then
			for i,v in pairs(self.planets) do
				if v.body ~= "Sun" then
					if px == v.x * 32 and py == v.y * 32 then --adjusted due to the planets being centered
						self.planet = v
						self.launch = true
					end
				end
			end
		end
	end
end

function interact:drawtext(text, font, color, xpos, ypos, align)
	local font = font
	local text = text
	local color = color
	local xpos = xpos
	local ypos = ypos
	local align = align
	love.graphics.setFont(font)
	love.graphics.setColor(color)
	if align == "c" then
		local offset = font:getWidth(text) / 2
		love.graphics.print(text, 320 - offset, ypos)
	end
	if align == "r" then
		local offset = font:getWidth(text)
		love.graphics.print(text, 320 - offset, ypos)
	end
	if align == "l" then
		love.graphics.print(text, xpos, ypos)
	end
	if align == "cb" then
		local offset = font:getWidth(text) / 2
		love.graphics.print(text, xpos - offset, ypos)
	end
end


function interact:update()

end
function interact:draw()
	if self.planet.name ~= nil and self.station.name ~= nil then
		self:drawtext("Welcome to "..self.planet.name, bold16, {255,255,255}, 320, 25, "c")
		self:drawtext("Real Estate", bold12, {255,255,255}, 320, 45, "c") -- image
		--Table like layout for the real estate will be changed to an image later

		self:drawtext("Name", bold10, {255,255,255}, 95, 65, "cb") 
		self:drawtext("Dunno", bold10, {255,255,255}, 250, 65, "cb")
		self:drawtext("Income", bold10, {255,255,255}, 405, 65, "cb")
		self:drawtext("Cost", bold10, {255,255,255}, 560, 65, "cb")




		self:drawtext("Hiring Center", bold12, {255,255,255}, 320, 175, "c") --image
		self:drawtext("Class", bold10, {255,255,255}, 95, 195, "cb") 
		self:drawtext("Level", bold10, {255,255,255}, 250, 195, "cb")
		self:drawtext("Cost", bold10, {255,255,255}, 405, 195, "cb")
		self:drawtext("Weapon", bold10, {255,255,255}, 560, 195, "cb")



		self:drawtext(self.station.name.."'s Space Market", bold16, {255,255,255}, 320, 340, "c")
	elseif self.planet.name ~= nil then
		self:drawtext("Welcome to "..self.planet.name.."'s Property and Trade Center", bold12, {255,255,255}, 320, 25, "c")
	elseif self.station.name ~= nil then
		self:drawtext("Welcome to "..self.station.name.." Space Market", bold12, {255,255,255}, 320, 25, "c")
	end



end

function interact:complete()
	interact.sys = {}
	interact.planets = {}
	interact.planet = {}
	interact.stations = {}
	interact.station = {}
	interact.launch = false
end